import request from '@/utils/request'

// 报文列表
export function selectMessageShow(data) {
  return request({
    url: '/car/message/selectMessageShow',
    method: 'post',
    data
  })
}

// 添加
export function insertMessage(data) {
  return request({
    url: '/car/message/insertMessage',
    method: 'post',
    data
  })
}

// 报文修改
export function updataMessage(data) {
  return request({
    url: '/car/message/updataMessage',
    method: 'post',
    data
  })
}

// 报文删除
export function deleteMessage(ids) {
  return request({
    url: '/car/message/deleteMessage?ids='+ids,
    method: 'post'
  })
}

// 查找报文,回显
export function selectMessageByMessageId(messageId) {
  return request({
    url: '/car/message/selectMessageByMessageId?messageId='+messageId,
    method: 'post'
  })
}


